# ClusterView

A project for viewing, manipulating, and learning clustering algorithms in Computational Geometry.


## Running

First, make sure you have python installed. If not, follow the installation instructions for your
distribution.

First:

```sh
sudo pip3 install virtualenv
```

To make sure you have a working `virtualenv`.

Now, start `virtualenv`:

```sh
virtualenv venv
source venv/bin/activate
```

You should see `(venv)` prefixing your command line.

Now, install the requirements:

```sh
pip3 install -r requirements.txt
```

This will insure all pre-requisites are installed. You will need the [Qt Framework](https://www.qt.io/) installed as well.

Finally, run:

```sh
python3 clusterview.py
```

To start the software.

